## org.eclipse.wtp.releng.tools.versionchecker
Class VersionLister

    java.lang.Object
      org.eclipse.wtp.releng.tools.versionchecker.VersionLister

All Implemented Interfaces:
  org.eclipse.core.runtime.IPlatformRunnable

public class VersionLister
extends java.lang.Object
implements org.eclipse.core.runtime.IPlatformRunnable

A simple, unsupported, little-tested utility to check version numbers of currently installed plugins against a reference list that was previously prepared by running this utility on some earlier installed stack.

Field Summary

Fields inherited from interface org.eclipse.core.runtime.IPlatformRunnable
`EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

Constructor Summary
`VersionLister()`

Method Summary
`static void` `main(java.lang.String[] args)`
`java.lang.Object` `run(java.lang.Object o)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionLister

    public VersionLister()

Method Detail

### main

    public static void main(java.lang.String[] args)

### run

    public java.lang.Object run(java.lang.Object o)
                         throws java.lang.Exception

  Specified by:
    `run` in interface `org.eclipse.core.runtime.IPlatformRunnable`
  Throws:
    `java.lang.Exception`